#version 330 core

in vec3 position;

uniform mat4 M; 
uniform mat4 P;
uniform mat4 V;

out vec4 WS_pos;

void main(void) {
	
	mat4 MVP = P * V * M;
	WS_pos =  M * vec4(position, 1);
	gl_Position =  MVP * vec4(position, 1);
}
